Subject: bug#1259: quit-window does not kill the window

From: "Juanma Barranquero" <[email-masked]>
Date: Fri, 14 Nov 2008 10:19:26 +0100

On Fri, Nov 14, 2008 at 09:06, martin rudalics <[email-masked]> wrote:

> Sorry.  I apparently fail to understand what that function is supposed
> to do.

Truth be told, the docstring in 22.X wasn't very clear. The function
is called quit-window, but it talked about burying/killing the buffer,
and only off-handedly said:

"If window is non-nil, it specifies a window; we delete that window,
and the buffer that is killed or buried is the one in that window."

(Incidentally, that's the reason I defined quit-buffer-and-window in
the first place; with your changes, my function would be just an alias
for quit-window).

> Please try the version below and tell me whether it does what
> you want.

Yes, it works as expected now.

Thanks,

  Juanma